'use strict'

const getLevel = require('./level.js')
const LEVEL = Symbol('Appender#level')
const ENABLED = Symbol('Appender#enable')

module.exports = class Appender {
  /**
   * @class
   * @param {object} options
   */
  constructor(options) {
    options = options || {}
  }

  set level(value) {
    if (typeof value === 'string' || typeof value === 'number') {
      this[LEVEL] = getLevel(options.level)
    }
  }

  get level() {
    return this[LEVEL]
  }

  get enabled() {
    return this[ENABLED]
  }

  enable() {
    this[ENABLED] = true
  }

  disable() {
    this[ENABLED] = false
  }

  /**
   * 是否输出日志
   * @param {string} level 日志等级
   */
  isLoud(level) {
    if (!this[ENABLED] || this[LEVEL] === getLevel('NONE')) {
      return false
    }
    return this[LEVEL] <= getLevel(level)
  }

  log() {}
}
