'use strict'

module.exports = function getLevel(level) {
  const levels = {
    ALL: 0,
    DEBUG: 100,
    INFO: 200,
    WARN: 400,
    ERROR: 800,
    NONE: 1000,
  }

  if (typeof level === 'number') {
    if (level >= 0 && level <= 1000) {
      return level
    } else {
      throw new Error('当 level 为数字时，应在 0 至 1000 之间！')
    }
  } else if (typeof level === 'string') {
    const num = levels[level.toUpperCase()]
    if (typeof num === 'number') {
      return num
    } else {
      throw new Error('level 不存在')
    }
  }
}
